#!/bin/bash
. /home/native/.profile
mypath=`dirname "$0"`
export PATH=$mypath:$PATH
tmp="/tmp/tmppl"
MCRwhitelist="${dm_setting_root}MCRwhitelist.db"

addnumber ()	{

addnumber=`inputbox -t "Enter your phone number:" -l "phone number" -gettext -m normal | sed 's/Text=//'`
checkexist=`grep $addnumber $MCRwhitelist`
if [ "$addnumber" = "" ];then
	showQ -t1 -m "Empty phone number." -1 ""
	$0
elif [ ! "$checkexist" = "" ] && [ ! "$addnumber" = "" ];then
	showQ -t1 -s "Dialog_Exclamatory_Mark" -m "Phone number is existed" -1 ""
	addnumber
else
	echo $addnumber >> $MCRwhitelist
	showQ -t1 -s "Dialog_Complete" -m "Phone number: <font color="#FF0000">$addnumber</font><br>is added to white list" -1 ""
	addnumber
fi	

}

delete () {
	
checknumber=`cat $MCRwhitelist |wc -w`
if [ "$checknumber" = "0" ];then
	showQ -t1 -m "Whitelist is empty." -1 ""
	$0
	exit
fi	

	list=`sed -n 1p $MCRwhitelist`
	checklist=""
	num=1
	while [ "$list" != "" ]
	do
		itemlist=`echo "${list}" | sed 's/ /_/g'`
		checklist="${checklist} -item ${itemlist}"
		num=$(($num+1))
		list=`sed -n ${num}p $MCRwhitelist`
	done
	input=`inputbox -t "white list" -l "Remove?" -check $checklist | sed -e 's/Selection=//' -e 's/,/d;/g' ` 
	if [ "$input" = "" ] || [ "$input" = "0" ]; then
		$0
	else
		sed "${input}d" $MCRwhitelist > $tmp  #Xoa dong dc chon		
		mv $tmp $MCRwhitelist	
		msg=`showQ -u -t20 -m "Removed selected phone(s) number." -1 "Back" -2 "Exit"`	
		if [ "$msg" = "0" ]; then
			$0
		else
			exit
		fi		
	fi		
}

MissedCall_Whitelist=`grep "MissedCall_Whitelist" $sysfile`
if [ "${MissedCall_Whitelist#*= }" = "0" ];then
FLAG="Enable"
else
FLAG="Disable"
fi


msg=`showQ -t10 -m "<table><tr><td><img src="$mypath/Dialog_MissedCall.png"</img></td></tr><td><font color="#FF0000">Miss Call Reminder V3.0</font><br>Setup Whitelist:</td></tr></table><font color="#FF0000">Add</font>: Add new phone number<br><font color="#FF0000">Delete</font>: View/Del phone number<br><font color="#FF0000">$FLAG</font>: $FLAG Whitelist mode (only phones number in the white list will be accepted to remind)<br><font color="#FFFF00"><center>(Auto exit after 10s)</center></font>" -1 "Add" -2 "Delete" -3 "$FLAG"`
if [ "$msg" = "0" ];then addnumber
elif [ "$msg" = "1" ];then delete
elif [ "$msg" = "2" ];then

	if [ "${MissedCall_Whitelist#*= }" = "0" ];then
		sed s/"MissedCall_Whitelist = 0"/"MissedCall_Whitelist = 1"/ $sysfile > $tmp

	elif [ ! "${MissedCall_Whitelist#*= }" = "" ];then
		sed s/"MissedCall_Whitelist = ${MissedCall_Whitelist#*= }"/"MissedCall_Whitelist = 0"/ $sysfile > $tmp
	
	elif [ "$MissedCall_Whitelist" = "" ];then
		sed '/SYS_SYSTEM_SET/a\
MissedCall_Whitelist = 1' $sysfile > $tmp
	fi
	mv $tmp $sysfile
	showQ -t1 -m "${FLAG}d successful." -1 ""
	$mypath/run.sh

fi



	






