#!/bin/bash

. /home/native/.profile
mypath=`dirname "$0"`
mypath2="/mmc/mmca1/.system/QTDownLoad/MissedCall"
export PATH=$mypath:$PATH

MCID=`ps -A|grep mcall |awk '{printf $4}'`
MissedCall=`grep "MissedCall =" $sysfile`
# 0 || "" : NoAuto
# 1 : Vibrate
# 2 : Sound

main () {

	msg=`showQ -u -1 "Vibrate" -2 "Sound" -3 "Setup" -m "<table><tr><td><img src="$mypath/Dialog_MissedCall.png"</img></td></tr><td><font color="#FF0000"><br>Miss Call Reminder  V3.0</font></td></tr></table><font color="#FF0000">Vibrate</font>: Turn on Vibrate mode<br><font color="#FF0000">Sound</font>: Turn on Sound mode<br><font color="#FF0000">Setup</font>: Setup your phones list<br><font color="#FFFF00"><center>(Auto exit after 10s)</center></font>" -t10`
		if [ "$msg" = "0" ]; then 
			$mypath/mcallv &
			
		elif [ "$msg" = "1" ]; then 
			$mypath/mcalls &
			
		elif [ "$msg" = "2" ]; then
			$mypath/phonelist.sh
		else
				exit
		fi
}

if [ ! -d $mypath2 ]; then	mkdir -p $mypath2;fi	
	
if [ "$MCID" = "mcallv" ]; then
		msg=`showQ -u -1 "Sound" -2 "Off" -3 "Setup" -m "<table><tr><td><img src="$mypath/Dialog_MissedCall.png"</img></td></tr><td><font color="#FF0000"><br>Miss Call Reminder  V3.0</font></td></tr></table>Do you want to change <font color="#FF0000">Vibrate Mode</font> to <font color="#FF0000">Sound Mode</font>? <br><font color="#FFFF00"><center>(Auto exit after 10s)</center></font>" -t10`
		if [ "$msg" = "0" ]; then
			$mypath/mcalls &
			
		elif [ "$msg" = "1" ]; then
			$mypath/off.sh
			
		elif [ "$msg" = "2" ]; then
			$mypath/phonelist.sh
		else
				exit
		fi
elif [ "$MCID" = "mcalls" ]; then
		msg=`showQ -u -1 "Vibrate" -2 "Off" -3 "Setup" -m "<table><tr><td><img src="$mypath/Dialog_MissedCall.png"</img></td></tr><td><font color="#FF0000"><br>Miss Call Reminder  V3.0</font></td></tr></table>Do you want to change <font color="#FF0000">Sound Mode</font> to <font color="#FF0000">Vibrate Mode</font>?<br><font color="#FF0000">Setup</font>: Setup your phones list<br><font color="#FFFF00"><center>(Auto exit after 10s)</center></font>" -t10`
		if [ "$msg" = "0" ]; then
			$mypath/mcallv &
			
		elif [ "$msg" = "1" ]; then
			$mypath/off.sh
			
		elif [ "$msg" = "2" ]; then
			$mypath/phonelist.sh
		else
				exit
		fi
else
		main
	
fi	
	
