#!/bin/bash

. /home/native/.profile
mypath=`dirname "$0"`
export PATH=$mypath:$PATH
tmp=/tmp/offmc


# 0 || "" : NoAuto
# 1 : Vibrate
# 2 : Sound
MissedCall=`grep "MissedCall =" $sysfile`;MissedCall=${MissedCall#*= }
MCID=`ps -A|grep mcall |awk '{printf $4}'`

LCDtimeT=`grep "LcdSleepTime" "$sysfile"`; LCDtimeT=`echo ${LCDtimeT#*= }`
if [ $LCDtimeT -ge 2 ]; then LCDtimeT=$(($(($LCDtimeT - 1)) * 300)); elif [ $LCDtimeT -le 1 ]; then LCDtimeT=$(($(($LCDtimeT + 1)) * 30)); fi

if [ ! "$MCID" = "" ]; then

	start-stop-daemon --stop -n $MCID
	sed s/"MissedCall = $MissedCall"/"MissedCall = 0"/ $sysfile > $tmp
	mv -f $tmp $sysfile
	LCDtime $LCDtimeT
	showQ -u -1 "" -s "Dialog_MissedCall" -m "Miss Call Reminder is <font color="#FF0000">Turned OFF</font>" -t2 &
	exit
else
	showQ -u -1 "" -s "Dialog_MissedCall" -m "Miss Call Reminder is not running." -t2 &
fi

		
